#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QTcpSocket>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private:
    Ui::Widget *ui;
    QTcpSocket client;      // le socket de connexion à un serveur

private slots:
    void connected();
    void dataIncomming();
    void disconnected();

    void on_pushButtonConnexion_clicked();
    void on_pushButtonEnvoyer_clicked();
};

#endif // WIDGET_H
